com.ihr.xbrl.database.pagination

## Class ScrollPage

- java.lang.Object
- - com.ihr.xbrl.database.pagination.AbstractPage
  - - com.ihr.xbrl.database.pagination.HibernatePage
    - - com.ihr.xbrl.database.pagination.ScrollPage

- All Implemented Interfaces:
    Page

      public class ScrollPage
      extends HibernatePage

  The Class ScrollPage.

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.database.pagination.Page

      `DEFAULT_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollPage(org.hibernate.Criteria criteria, int pageNumber, int pageSize)` Construct a new HibernatePage.
    `ScrollPage(org.hibernate.Query query, int pageNumber, int pageSize)` Construct a new HibernatePage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTotalNumberOfElements()` Gets the total number of elements.

    - ### Methods inherited from class com.ihr.xbrl.database.pagination.HibernatePage

      `getThisPageElements, hasNextPage`

    - ### Methods inherited from class com.ihr.xbrl.database.pagination.AbstractPage

      `getLastPageNumber, getLogger, getNextPageNumber, getPageNumber, getPageSize, getPreviousPageNumber, getThisPageFirstElementNumber, getThisPageLastElementNumber, hasPreviousPage, isFirstPage, isLastPage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScrollPage

          public ScrollPage(org.hibernate.Query query,
                    int pageNumber,
                    int pageSize)

      Construct a new HibernatePage. HibernatePage numbers are zero-based so the first page is page 0.
      Parameters:
        `query` - the Hibernate Query
        `pageNumber` - the page number (zero-based); if Integer.MAX_VALUE will return the last page for the query
        `pageSize` - the number of results to display on the page

    - #### ScrollPage

          public ScrollPage(org.hibernate.Criteria criteria,
                    int pageNumber,
                    int pageSize)

      Construct a new HibernatePage. HibernatePage numbers are zero-based so the first page is page 0.
      Parameters:
        `criteria` - the Hibernate Criteria
        `pageNumber` - the page number (zero-based); if Integer.MAX_VALUE will return the last page for the query
        `pageSize` - the number of results to display on the page

  - ### Method Detail

    - #### getTotalNumberOfElements

          public int getTotalNumberOfElements()

      Description copied from interface: `Page`
      Gets the total number of elements.
      Returns:
        the total number of elements